import type { Core, UID } from '@strapi/types';
export type HandlerParams = {
    documentId: string;
    locale: string;
    status: 'published' | 'draft';
};
export interface PreviewConfig {
    enabled: boolean;
    config: {
        allowedOrigins: string[];
        handler: (uid: UID.Schema, params: HandlerParams) => string | undefined;
    };
}
/**
 * Read configuration for static preview
 */
declare const createPreviewConfigService: ({ strapi }: {
    strapi: Core.Strapi;
}) => {
    register(): void;
    isEnabled(): boolean;
    /**
     * Validate if the configuration is valid
     */
    validate(): void;
    /**
     * Utility to get the preview handler from the configuration
     */
    getPreviewHandler(): PreviewConfig['config']['handler'];
};
export { createPreviewConfigService };
//# sourceMappingURL=preview-config.d.ts.map